Summary:	A program to extract Microsoft Cabinet files
Summary(pl.UTF-8):	Program do rozpakowywania plików MS Cabinet
Name:		cabextract
Version:	1.9
Release:	1
License:	GPL v2+
Group:		Applications/Archiving
Source0:	http://www.cabextract.org.uk/%{name}-%{version}.tar.gz
# Source0-md5:	c38f4d1920dd4f597c707f16273ad480
Patch0:		%{name}-libmspack-headers-path.patch
URL:		http://www.cabextract.org.uk/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libmspack-devel >= 0.8alpha-5
Requires:	libmspack >= 0.8alpha
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cabinet (.CAB) files are a form of archive, which Microsoft use to
distribute their software, and things like Windows Font Packs. The
cabextract program simply unpacks such files.

%description -l pl.UTF-8
Pliki Cabinet (.CAB) są rodzajem archiwum, który Microsoft używa do
dystrybucji swojego oprogramowania i rzeczy typu Windows Font Pack.
cabextract może takie pliki rozpakować.

%prep
%setup -q
%patch0 -p1
# make sure we use system libmspack
%{__rm} -r mspack

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CPPFLAGS="%{rpmcppflags} -I/usr/include/libmspack" \
	--with-external-libmspack
%{__make}

%{__make} check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D doc/ja/cabextract.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/cabextract.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/cabextract
%{_mandir}/man1/cabextract.1*
%lang(ja) %{_mandir}/ja/man1/cabextract.1*
%changelog
* Fri Nov 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cabextract.git;a=log;h=master

* Fri Nov 16 2018 Adam Gołębiowski <adamg@pld-linux.org> 43fb266
- updated to 1.9

* Fri Oct 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 5b351b4
- adjusted to use libmspack private headers in its pkgincludedir

* Fri Oct 26 2018 Adam Gołębiowski <adamg@pld-linux.org> 9bbde26
- updated to 1.8 (solves CVE-2018-18584)

* Fri Oct 12 2018 Adam Gołębiowski <adamg@pld-linux.org> 9655f9e
- updated to 1.7

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 6b31e08
- updated to 1.6 (fixes filesystem traversal security issues)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 3a83a0b
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jan 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 1f3877c
- updated to 1.5

* Wed May 25 2011 Jakub Bogusz <qboosh@pld-linux.org> a2aa05c
- updated to 1.4

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 93e4229
- GPL version
- verbose files

* Sat Aug 14 2010 zbyniu <zbyniu@pld-linux.org> fa6eb03
- not needed, there is --with-external-libmspack now

* Sat Aug 14 2010 zbyniu <zbyniu@pld-linux.org> 0d8398a
- up to 1.3 [fixes CVE-2010-2801]
- libmspack patch not needed, there is --with-external-libmspack now, so also BR/R new libmspack

* Tue Mar 09 2010 Krzysztof Krakowiak <evil@pld-linux.org> ae8c56a
- url changed from http://www.kyz.uklinux.net/ to http://www.cabextract.org.uk/

* Fri Dec 28 2007 Elan Ruusamäe <glen@pld-linux.org> a9d36c8
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4fd3659
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7b5136e
- converted to UTF-8

* Wed Sep 27 2006 Elan Ruusamäe <glen@pld-linux.org> 8254ec1
- updated URL

* Wed Sep 27 2006 Jakub Bogusz <qboosh@pld-linux.org> c473c93
- updated to 1.2, updated libmspack patch

* Wed Sep 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 478caf5
- updated for 1.2, no libtool necessary

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> ef08953
- rel 5

* Sat Apr 22 2006 Jakub Bogusz <qboosh@pld-linux.org> c27acdc
- man install bugfix

